import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/Home.vue'
import Word from '../views/Word.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'Home',
    component: Home,
    redirect: 'dashboard',
    children:[
      {
          path: 'dashboard',
          name: 'dashboard',
          component: () => import(/* webpackChunkName: "about" */ '../views/dashboard')
      },
      {
        path: '/pipedma',
        name: 'pipedma',
        component: () => import(/* webpackChunkName: "about" */ '../views/pipedma/index.vue')
      }
    ]
  },
//   {
//     path: '/about',
//     name: 'About',
//     // route level code-splitting
//     // this generates a separate chunk (about.[hash].js) for this route
//     // which is lazy-loaded when the route is visited.
//     component: () => import(/* webpackChunkName: "about" */ '../views/About.vue')
// },
  {
    path: '/Word',
    name: 'Word',
    component: Word,
    redirect: '/digitaltwin',
    children:[
      {
          path: '/digitaltwin',
          name: 'digitaltwin',
          component: () => import('../views/digitaltwin/index.vue')
      },
    ]
  }
]

const router = new VueRouter({
  routes
})

export default router
